Up

# NSTabViewItem

### Authors

Michael Hanni (`mhanni@sprintmail.com`)

Copyright: (C) 2000 Free Software Foundation, Inc.

### Contents -

1. Software documentation for the NSTabViewItem class
2. Software documentation for the NSTabViewItem(GNUstep) category

# Software documentation for the NSTabViewItem class

## NSTabViewItem : NSObject

> Declared in:
>   AppKit/NSTabViewItem.h

> Conforms to:
>   NSCoding

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -_setTabState:
- -_setTabView:
- -_tabRect
- -_truncatedLabel
- -color
- -drawLabel:inRect:
- -identifier
- -initWithIdentifier:
- -initialFirstResponder
- -label
- -setColor:
- -setIdentifier:
- -setInitialFirstResponder:
- -setLabel:
- -setView:
- -sizeOfLabel:
- -tabState
- -tabView
- -view

### color

- (NSColor*) color;

Description forthcoming.

### drawLabel:inRect:

- (void) drawLabel: (BOOL)shouldTruncateLabel inRect: (NSRect)tabRect;

Description forthcoming.

### identifier

- (id) identifier;

Description forthcoming.

### initWithIdentifier:

- (id) initWithIdentifier: (id)identifier;

Description forthcoming.

### initialFirstResponder

- (id) initialFirstResponder;

Description forthcoming.

### label

- (NSString*) label;

Description forthcoming.

### setColor:

- (void) setColor: (NSColor*)color;

Description forthcoming.

### setIdentifier:

- (void) setIdentifier: (id)identifier;

Description forthcoming.

### setInitialFirstResponder:

- (void) setInitialFirstResponder: (NSView*)view;

Description forthcoming.

### setLabel:

- (void) setLabel: (NSString*)label;

Description forthcoming.

### setView:

- (void) setView: (NSView*)view;

Description forthcoming.

### sizeOfLabel:

- (NSSize) sizeOfLabel: (BOOL)shouldTruncateLabel;

Description forthcoming.

### tabState

- (NSTabState) tabState;

Description forthcoming.

### tabView

- (NSTabView*) tabView;

Description forthcoming.

### view

- (NSView*) view;

Description forthcoming.

# Software documentation for the NSTabViewItem(GNUstep) category

## NSTabViewItem(GNUstep)

> Declared in:
>   AppKit/NSTabViewItem.h

> Standards:
> - MacOS-X
> - OpenStep
> - GNUstep

Description forthcoming.

Method summary

- -_setTabState:
- -_setTabView:
- -_tabRect
- -_truncatedLabel

### _setTabState:

- (void) _setTabState: (NSTabState)tabState;

Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _setTabView:

- (void) _setTabView: (NSTabView*)tabView;

Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _tabRect

- (NSRect) _tabRect;

Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

### _truncatedLabel

- (NSString*) _truncatedLabel;

Warning the underscore at the start of the name of this method indicates that it is private, for internal use only, and you should not use the method in your code.

Up